CREATE TABLE "RADKFILE" (
  "kanji" CHAR(1) NOT NULL,
  "radical" CHAR(1) NOT NULL,
  PRIMARY KEY ("kanji", "radical")
) WITHOUT ROWID;

CREATE INDEX "RADK" ON "RADKFILE"("radical");
CREATE INDEX "KRAD" ON "RADKFILE"("kanji");

CREATE VIEW "RADKFILE_Radicals" AS
SELECT DISTINCT "radical" FROM "RADKFILE";